AIONOSTR(1)

NAME
aionostr - asyncio Nostr client command-line interface

SYNOPSIS
aionostr [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
aionostr is a command-line client for the Nostr (Notes and Other Stuff Transmitted by Relays) protocol, built using asyncio for high-performance asynchronous operations.

This is a fork of aionostr that does not require Coincurve, using electrum-ecc instead.

OPTIONS

--help
    Show help message and exit.

COMMANDS

get NOSTR_ID
    Retrieve and display Nostr objects (nprofile, nevent, etc.).

    •   aionostr get nprofile1qqsv0knzz56gtm8mrdjhjtreecl7dl8xa47caafkevfp67svwvhf9hcpz3mhxue69uhkgetnvd5x7mmvd9hxwtn4wvspak3h

    •   aionostr get -v nevent1qqsxpnzhw2ddf2uplsxgc5ctr9h6t65qaalzvzf0hvljwrz8q64637spp3mhxue69uhkyunz9e5k75j6gxm

query [OPTIONS] FILTER_JSON
    Query Nostr relays with custom filters.

    •   aionostr query -s -q '{"kinds": [1], "limit":10}'

send [OPTIONS]
    Send events to the Nostr network.

    •   aionostr send --kind 1 --content "test" --private-key <privatekey>

mirror [OPTIONS] FILTER_JSON
    Mirror events between relays.

    •   aionostr mirror -r wss://source.relay -t wss://target.relay --verbose '{"kinds": [4]}'

gen Generate a new Nostr key pair.

ENVIRONMENT VARIABLES

NOSTR_RELAYS
    Comma-separated list of default relays to use.

    •   export NOSTR_RELAYS=wss://brb.io,wss://nostr.mom

NOSTR_KEY
    Default private key to use for signing events.

    •   export NOSTR_KEY=$(aionostr gen | head -1)

EXAMPLES

Basic usage with environment variables:

    •   export NOSTR_RELAYS=wss://relay.damus.io

    •   export NOSTR_KEY=$(aionostr gen | head -1)

    •   aionostr send --kind 1 --content "Hello Nostr!"

Query for recent text notes:

    •   aionostr query '{"kinds": [1], "limit": 5}'

Mirror direct messages between relays:

    •   aionostr mirror -r wss://relay1.com -t wss://relay2.com '{"kinds": [4]}'

FILES

/usr/bin/aionostr
    The main executable.

/usr/lib/python3*/dist-packages/electrum_aionostr/
    Python library files.

SEE ALSO
curl(1), python3(1)

Nostr protocol specification: https://github.com/nostr-protocol/nips

BUGS
Report bugs to the Debian Bug Tracking System: https://bugs.debian.org/

Or upstream at: https://github.com/spesmilo/electrum-aionostr/issues

AUTHOR
The Electrum Developers (fork maintainers)

Original author: Dave St.Germain

COPYRIGHT
BSD License

This is free software: you are free to change and redistribute it.